/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

public interface TaskObject extends JEObject {

    Long getTask_id();

    String getTask_name();

    Integer getTask_status_id();

    Integer getScript_id();

    Long getCreator_id();

    Integer getCreator_type();

    Date getDate_created();

    Date getFirst_start();

    Date getNext_start();

    Integer getRepeat();

    Integer getAuto_start();

    Integer getDelay();

    Integer getTask_delayunit_id();

    void setTask_id(Long l);

    void setTask_name(String s);

    void setTask_status_id(Integer i);

    void setScript_id(Integer i);

    void setCreator_id(Long l);

    void setCreator_type(Integer i);

    void setDate_created(Date d);

    void setFirst_start(Date d);

    void setNext_start(Date d);

    void setRepeat(Integer i);

    void setAuto_start(Integer i);

    void setDelay(Integer i);

    void setTask_delayunit_id(Integer i);

}
